﻿@model ViewModels.Account.ForgetPasswordViewModel

@{
    ViewBag.Title = "Forgot password";
}

<section class="account-box">
    <div class="container">
        <div class="row line-title-seperator">
            <div class="col-md-4">
                <hr class="line">
            </div>
            <div class="col-md-4">
                <h2 class="title">Forgot password</h2>
            </div>
            <div class="col-md-4">
                <hr class="line">
            </div>
        </div>
        <div class="row">
            <div class="col-md-6">
                <div class="alert alert-info">
                    To recover your password, please fill form below.
                    <br />
                    After submit, an email will send to your email address that contains revocery link.
                </div>
            </div>
            <div class="col-md-6">
                @using (Html.BeginForm("ForgetPassword", "Home", FormMethod.Post))
                {
                    @Html.AntiForgeryToken()
                    @Html.ValidationSummary(true)

                    <div class="form-group">
                        @Html.LabelFor(c => c.EmailAddress, new { @class = "label-control" })
                        @Html.TextBoxFor(c => c.EmailAddress, new { @class = "form-control", placeholder = "Required" })
                        @Html.ValidationMessageFor(c => c.EmailAddress)
                    </div>
                    <div class="form-group">
                        <img src="@Url.Action("Image", "Captcha", new { cc = Model.cc, area = "" })" style="margin: 10px 5px 0;border-radius:4px" />

                        <a href="@Url.Action("ForgetPassword", "Home", new { area = "Account" })">
                            <i class="fa fa-refresh"></i>
                        </a>
                    </div>
                    <div class="form-group">
                        @Html.LabelFor(c => c.Captcha, new { @class = "label-control" })
                        @Html.TextBoxFor(c => c.Captcha, new { @class = "form-control small-txt", placeholder = "Required" })
                        @Html.ValidationMessageFor(c => c.Captcha)
                    </div>
                    <br />
                    <div class="form-group">
                        <input class="btn btn-info" type="submit" value="Submit" />
                        &nbsp;&nbsp;
                        @Html.ActionLink("Return to sign in", "SignIn", "Home", new { area = "Account" }, new { @class = "btn btn-success" })
                    </div>
                    <input name="cc" type="hidden" value="@Model.cc" />
                }
            </div>
        </div>
    </div>
</section>


@section scripts{
    <script src="~/Content/lib/js/jquery.validate.min.js"></script>
    <script src="~/Content/lib/js/jquery.validate.unobtrusive.min.js"></script>
}